from xml.dom import Event
import DOMForm

class BrowserEventTarget(Event.EventTarget):
    def __init__(self):
        self.listeners = {}
        self.capture_listeners = {}
        for etype in (Event.supportedEvents +
                      DOMForm.supportedHTMLEvents +
                      DOMForm.supportedMouseEvents):
            self.listeners[etype] = []
            self.capture_listeners[etype] = []
